jQuery(document).ready(() => {
  console.log("🔌 Home Js Loaded v1.2.3");

  const isProductPage = !!document.body.classList.contains("single-product");

  if (!isProductPage) {
    activateExtensionHome();
  }
});

async function activateExtensionHome() {
  console.log("✅ Home Widget Activated");

  var token = localStorage.getItem("@token_tipzty_plugin");

  if (token !== undefined && token !== "") {
    console.log("✅ Token registered");
  } else {
    console.log("🚫 Token not registered");
    return;
  }

  var responseTransmissionsApi = await fetch(
    "https://go.tipzty.com/api/brand/transmissions",
    {
      method: "GET",
      headers: {
        "X-Tipzty-Key": token,
      },
    }
  ).then((resp) => resp.json());

  if (
    responseTransmissionsApi &&
    responseTransmissionsApi.status_text === "recording"
  ) {
    const id = responseTransmissionsApi.id;
    const brand = parseBrandName(responseTransmissionsApi.brand.full_name);
    const url = `https://tipz.tv/${brand}/${id}?mode=widget`;

    console.log("📺 Transmission:", url);

    localStorage.setItem("@iframe_tipzty", url);

    document.querySelector(".t-home-widget").style.display = "block";
    document.querySelector(".t-block").style.visibility = "visible";
    document.querySelector(".t-iframe").src = url;
  } else {
    document.querySelector(".t-block").style.visibility = "hidden";
    document.querySelector(".t-iframe").src = "";
  }
}
